import { httpRequest } from '@/services/http'

/**
 * 查询行情历史数据
 */
export function queryHistoryDatas(params: { goodscode?: string }) {
    return httpRequest<Model.QueryHistoryDatasRsp[]>('/Quote/QueryHistoryDatas', 'get', params);
}

/**
 * 分时图数据查询
 */
export function queryTSData(params: { goodscode?: string }) {
    return httpRequest<Model.QueryTSDataRsp>('/Quote/QueryTSData', 'get', params);
}

/**
 * 查询行情Tik数据
 */
export function queryHistoryTikDatas(params: Model.HistoryTikDatasReq) {
    return httpRequest<Model.HistoryTikDatasRsp[]>('/Quote/QueryHistoryTikDatas', 'get', params);
}